function [ANALYTIC_ODE_TRANSFORMATION,MODEL_SETTINGS] = createMONOLIXproject_ODE_Analytic_SBPOP(ABSORPTION_dose_present,FLAGanalyticModel, ...
                                numberCompartments,saturableClearance,lagTime,...
                                model,dosing,data,projectPath,dataRelPathFromProjectPath,optionsProject)

% % % %%
% % % clear all; clc
% % % covNames                            = {'AGE0'    'HT0'      'WT0'     'BMI0'};
% % % catNames                            = {'SEX'     'RACE'     'ETHN'};
% % % ABSORPTION_dose_present = 0;
% % % FLAGanalyticModel = 1;
% % % numberCompartments = 3;
% % % saturableClearance = 0;
% % % lagTime = 0;
% % % analysisDatasetFile = '../Data/popPK_IV.csv';
% % % [p,f,e]                 = fileparts(analysisDatasetFile);
% % % data.path               = p;
% % % data.filename           = [f e];
% % % dataanalysis            = SBPOPloadCSVdataset(analysisDatasetFile);
% % % data.header             = SBPOPgetMonolixDataHeader(dataanalysis,covNames,catNames,{},1);
% % % projectPath = 'TEST'
% % % optionsProject                            = [];
% % % optionsProject.POPestimate          = [  0     1    1      1     1     1   1      1      1      0           0];
% % % optionsProject.POPvalues0           = [ 0.5   0.2   2     10    10    10   10    0.5     5     0.2        0.5];;
% % % optionsProject.IIVdistribution      = 'L,L,L,L,L,L,L,L,L,L,L';
% % % optionsProject.IIVestimate          = [  0     1    1      1     1     1   1      1      1      0           0];
% % % optionsProject.errorModels       = 'comb1';
% % % optionsProject.covarianceModel      = '{CL,Vc,Q1,Vp1,Q2,Vp2}';
% % % optionsProject.covariateModel       = '{CL,AGE0,WT0}, {Vc,AGE0,WT0}, {Vp1,AGE0,WT0}, {Q1,AGE0,WT0}, {Vp2,WT0}, {VMAX,WT0}, {Q2,AGE0}';
% % % optionsProject.SILENT               = 1;
% % % dataRelPathFromProjectPath = '../../Data';
                            
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Define some needed things
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Parameter name list - as in ODE model for transformation later
ODEmodelParamNames = {'F', 'CL', 'Vc', 'Q1', 'Vp1', 'Q2', 'Vp2', 'VMAX', 'KM', 'ka_input2', 'Tlag_input2'};

% Define data information
data_MLX                            = [];
data_MLX.dataRelPathFromProject     = dataRelPathFromProjectPath;
data_MLX.dataFileName               = data.filename;
data_MLX.dataHeaderIdent            = data.header;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Define the options_MLX structure and handle default cases
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
options_MLX                         = optionsProject;
% Set default value if not specified, otherwise take user specs
try options_MLX.covarianceModel = optionsProject.covarianceModel; catch, options_MLX.covarianceModel = 'diagonal'; end
% Set default value if not specified, otherwise take user specs
try options_MLX.covariateModel = optionsProject.covariateModel; catch, options_MLX.covariateModel = ''; end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Handle compartment number settings wrt to impact on 
% estimated fixed and random effects and initial guesses
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if numberCompartments == 1,
    % Do not estimate Q1,Vp1,Q2,Vp2 and set the Q12 values to 1e-10 and Vp12 to 1
    % F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2
    options_MLX.POPestimate(4:7)    = 0;
    options_MLX.POPvalues0([4 6])   = 1e-10;    % Setting Q1/2 to 1e-10
    options_MLX.POPvalues0([5 7])   = 1;        % Setting Vp1/2 to 1
    % Define IIV settings - additionally to what the user already defined
    % F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2
    options_MLX.IIVestimate(4:7)    = 0;
elseif numberCompartments == 2,
    % Do not estimate Q1,Vp1 and set the Q2 value to 1e-10 and Vp2 to 1
    % F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2
    options_MLX.POPestimate(6:7)    = 0;
    options_MLX.POPvalues0([6])     = 1e-10;    % Setting Q2 to 1e-10
    options_MLX.POPvalues0([7])     = 1;        % Setting Vp2 to 1
    % Define IIV settings - additionally to what the user already defined
    % F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2
    options_MLX.IIVestimate(6:7)    = 0;
elseif numberCompartments == 3,
    % Do not change anything
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Handle clearance settings wrt to impact on 
% estimated fixed and random effects and initial guesses
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if saturableClearance==0,
    % Linear clearance only
    % Do not estimate VMAX and KM and set VMAX to 1e-10 and KM to 1
    % F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2
    options_MLX.POPestimate(8:9)    = 0;
    options_MLX.POPvalues0(8)       = 1e-10;    % Setting VMAX to 1e-10
    options_MLX.POPvalues0(9)       = 1;        % Setting KM to 1
    % Define IIV settings - additionally to what the user already defined
    % F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2
    options_MLX.IIVestimate(8:9)    = 0;
elseif saturableClearance==1,
    % Linear + Saturable clearance
    % Nothing to change
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Handle lagtime settings wrt to impact on 
% estimated fixed and random effects and initial guesses
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if lagTime==0,
    % No lagTime
    % Do not estimate Tlag_input2 and set it to 1e-10
    % F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2
    options_MLX.POPestimate(11)     = 0;
    options_MLX.POPvalues0(11)      = 1e-10;    % Setting Tlag_input2 to 1e-10
    % Define IIV settings - additionally to what the user already defined
    % F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2
    options_MLX.IIVestimate(11)     = 0;
elseif lagTime==1,
    % Use lagTime (absorption only)
    % Nothing to change
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Handle covariance settings 
% Need to remove model parameter combinations that are not 
% available in the current model.
% For example a covariance on Vp2,CL makes no sense if not a 3 
% compartment model and thus no random effect estimated for some of the
% parameters
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
RANDOMEFFECTS_NOT_available_ODEmodelParamNames  = ODEmodelParamNames(find(~options_MLX.IIVestimate));
% No remove all elements in options_MLX.covarianceModel that do include
% names in the RANDOMEFFECTS_NOT_available_ODEmodelParamNames list
terms = explodePCSB(options_MLX.covarianceModel,',','{','}');
remove_terms_ix = [];
for k=1:length(terms),
    for k2=1:length(RANDOMEFFECTS_NOT_available_ODEmodelParamNames),
        ix = regexp(terms{k},['\<' RANDOMEFFECTS_NOT_available_ODEmodelParamNames{k2} '\>']);
        if ~isempty(ix),
            remove_terms_ix = [remove_terms_ix k];
        end
    end
end
terms(unique(remove_terms_ix)) = [];
x = sprintf('%s,',terms{:});
options_MLX.covarianceModel = x(1:end-1);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Handle covariate settings 
% Need to remove model parameter combinations that are not 
% available in the current model.
% For example a covariate on Vp2 makes no sense if not a 3 compartment
% model - here we assume that covariates are only tested on parameters for
% which random effects are estimated.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
RANDOMEFFECTS_NOT_available_ODEmodelParamNames   = ODEmodelParamNames(find(~options_MLX.IIVestimate));
% No remove all elements in options_MLX.covarianceModel that do include
% names in the RANDOMEFFECTS_NOT_available_ODEmodelParamNames list
terms = explodePCSB(options_MLX.covariateModel,',','{','}');
remove_terms_ix = [];
for k=1:length(terms),
    for k2=1:length(RANDOMEFFECTS_NOT_available_ODEmodelParamNames),
        ix = regexp(terms{k},['\<' RANDOMEFFECTS_NOT_available_ODEmodelParamNames{k2} '\>']);
        if ~isempty(ix),
            remove_terms_ix = [remove_terms_ix k];
        end
    end
end
terms(unique(remove_terms_ix)) = [];
x = sprintf('%s,',terms{:});
options_MLX.covariateModel = x(1:end-1);
% Also remove the same terms for COVestimate and covariateModelValues
options_MLX.covariateModelValues(remove_terms_ix) = [];
options_MLX.COVestimate(remove_terms_ix) = [];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Construct Monolix/MLXTRAN project
% At this point we decide if we can use analytic models or
% if we need to use a differential equation model
%
% Analytic model can be used IF:
%  - only linear clearance
%  - only a single type of dose administration
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if FLAGanalyticModel,
    % Determine analytic model name
    if ~ABSORPTION_dose_present,
        % Handle IV and bolus first
        % Check if TINF in dataset - if not then it is bolus
        index = strmatchSB('TINF',explodePCSB(data.header),'exact');
        if isempty(index),
            % Its Bolus!
            if numberCompartments==1,
                modelAnalyticName = 'bolus_1cpt_VCl';
                % Transform optionsProject (F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2)
                options_MLX_ANALYTIC                    = options_MLX;
                options_MLX_ANALYTIC.POPvalues0         = options_MLX.POPvalues0([3 2]);
                options_MLX_ANALYTIC.POPestimate        = options_MLX.POPestimate([3 2]);
                options_MLX_ANALYTIC.IIVestimate        = options_MLX_ANALYTIC.IIVestimate([3 2]);
                options_MLX_ANALYTIC.IIVvalues0         = options_MLX.IIVvalues0([3 2]);
                options_MLX_ANALYTIC.IIVdistribution    = 'L,L';
                options_MLX_ANALYTIC.parameterNames     = {'V','Cl'};
                
                ANALYTIC_ODE_TRANSFORMATION.ISANALYTIC   = 1;
                ANALYTIC_ODE_TRANSFORMATION.NRPARAMETERS = 2;
                ANALYTIC_ODE_TRANSFORMATION.INDEXODE     = [3 2];
                
            elseif numberCompartments==2,
                modelAnalyticName = 'bolus_2cpt_ClV1QV2';
                % Transform optionsProject (F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2)
                options_MLX_ANALYTIC                    = options_MLX;
                options_MLX_ANALYTIC.POPvalues0         = options_MLX.POPvalues0([2 3 4 5]);
                options_MLX_ANALYTIC.POPestimate        = options_MLX.POPestimate([2 3 4 5]);
                options_MLX_ANALYTIC.IIVestimate        = options_MLX_ANALYTIC.IIVestimate([2 3 4 5]);
                options_MLX_ANALYTIC.IIVvalues0         = options_MLX.IIVvalues0([2 3 4 5]);
                options_MLX_ANALYTIC.IIVdistribution    = 'L,L,L,L';
                options_MLX_ANALYTIC.parameterNames     = {'Cl','V1','Q','V2'};
                
                ANALYTIC_ODE_TRANSFORMATION.ISANALYTIC   = 1;
                ANALYTIC_ODE_TRANSFORMATION.NRPARAMETERS = 4;
                ANALYTIC_ODE_TRANSFORMATION.INDEXODE     = [2 3 4 5];
                
            elseif numberCompartments==3,
                modelAnalyticName = 'bolus_3cpt_ClV1Q2V2Q3V3';
                % Transform optionsProject (F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2)
                options_MLX_ANALYTIC                    = options_MLX;
                options_MLX_ANALYTIC.POPvalues0         = options_MLX.POPvalues0([2 3 4 5 6 7]);
                options_MLX_ANALYTIC.POPestimate        = options_MLX.POPestimate([2 3 4 5 6 7]);
                options_MLX_ANALYTIC.IIVestimate        = options_MLX_ANALYTIC.IIVestimate([2 3 4 5 6 7]);
                options_MLX_ANALYTIC.IIVvalues0         = options_MLX.IIVvalues0([2 3 4 5 6 7]);
                options_MLX_ANALYTIC.IIVdistribution    = 'L,L,L,L,L,L';
                options_MLX_ANALYTIC.parameterNames     = {'Cl','V1','Q2','V2','Q3','V3'};
                
                ANALYTIC_ODE_TRANSFORMATION.ISANALYTIC   = 1;
                ANALYTIC_ODE_TRANSFORMATION.NRPARAMETERS = 6;
                ANALYTIC_ODE_TRANSFORMATION.INDEXODE     = [2 3 4 5 6 7];
                
            end
        else
            % Its Infusion!
            if numberCompartments==1,
                modelAnalyticName = 'infusion_1cpt_VCl';
                % Transform optionsProject (F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2)
                options_MLX_ANALYTIC                    = options_MLX;
                options_MLX_ANALYTIC.POPvalues0         = options_MLX.POPvalues0([3 2]);
                options_MLX_ANALYTIC.POPestimate        = options_MLX.POPestimate([3 2]);
                options_MLX_ANALYTIC.IIVestimate        = options_MLX_ANALYTIC.IIVestimate([3 2]);
                options_MLX_ANALYTIC.IIVvalues0         = options_MLX.IIVvalues0([3 2]);
                options_MLX_ANALYTIC.IIVdistribution    = 'L,L';
                options_MLX_ANALYTIC.parameterNames     = {'V','Cl'};
                
                ANALYTIC_ODE_TRANSFORMATION.ISANALYTIC   = 1;
                ANALYTIC_ODE_TRANSFORMATION.NRPARAMETERS = 2;
                ANALYTIC_ODE_TRANSFORMATION.INDEXODE     = [3 2];
                
            elseif numberCompartments==2,
                modelAnalyticName = 'infusion_2cpt_ClV1QV2';
                % Transform optionsProject (F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2)
                options_MLX_ANALYTIC                    = options_MLX;
                options_MLX_ANALYTIC.POPvalues0         = options_MLX.POPvalues0([2 3 4 5]);
                options_MLX_ANALYTIC.POPestimate        = options_MLX.POPestimate([2 3 4 5]);
                options_MLX_ANALYTIC.IIVestimate        = options_MLX_ANALYTIC.IIVestimate([2 3 4 5]);
                options_MLX_ANALYTIC.IIVvalues0         = options_MLX.IIVvalues0([2 3 4 5]);
                options_MLX_ANALYTIC.IIVdistribution    = 'L,L,L,L';
                options_MLX_ANALYTIC.parameterNames     = {'Cl','V1','Q','V2'};
                
                ANALYTIC_ODE_TRANSFORMATION.ISANALYTIC   = 1;
                ANALYTIC_ODE_TRANSFORMATION.NRPARAMETERS = 4;
                ANALYTIC_ODE_TRANSFORMATION.INDEXODE     = [2 3 4 5];
                
            elseif numberCompartments==3,
                modelAnalyticName = 'infusion_3cpt_ClV1Q2V2Q3V3';
                % Transform optionsProject (F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2)
                options_MLX_ANALYTIC                    = options_MLX;
                options_MLX_ANALYTIC.POPvalues0         = options_MLX.POPvalues0([2 3 4 5 6 7]);
                options_MLX_ANALYTIC.POPestimate        = options_MLX.POPestimate([2 3 4 5 6 7]);
                options_MLX_ANALYTIC.IIVestimate        = options_MLX_ANALYTIC.IIVestimate([2 3 4 5 6 7]);
                options_MLX_ANALYTIC.IIVvalues0         = options_MLX.IIVvalues0([2 3 4 5 6 7]);
                options_MLX_ANALYTIC.IIVdistribution    = 'L,L,L,L,L,L';
                options_MLX_ANALYTIC.parameterNames     = {'Cl','V1','Q2','V2','Q3','V3'};
                
                ANALYTIC_ODE_TRANSFORMATION.ISANALYTIC   = 1;
                ANALYTIC_ODE_TRANSFORMATION.NRPARAMETERS = 6;
                ANALYTIC_ODE_TRANSFORMATION.INDEXODE     = [2 3 4 5 6 7];
                
            end
        end
        % Store information about the analytic thing
        ANALYTIC_ODE_TRANSFORMATION.POPestimate  = options_MLX.POPestimate;
        ANALYTIC_ODE_TRANSFORMATION.IIVestimate  = options_MLX.IIVestimate;

        % Need to adjustthe parameter names in the covarianceModel settings
        % to the names in the analytic model chosen
        covarianceModel = options_MLX_ANALYTIC.covarianceModel;
        oldNames = ODEmodelParamNames(ANALYTIC_ODE_TRANSFORMATION.INDEXODE);
        newNames = options_MLX_ANALYTIC.parameterNames;
        % Need to make sure not to overwrite things => intermediary step needed
        for kcovariance = 1:length(oldNames),
            covarianceModel = regexprep(covarianceModel,['\<' oldNames{kcovariance} '\>'],num2str(kcovariance));
        end
        for kcovariance = 1:length(oldNames),
            covarianceModel = regexprep(covarianceModel,['\<' num2str(kcovariance) '\>'],newNames{kcovariance});
        end
        options_MLX_ANALYTIC.covarianceModel = covarianceModel;

        % Need to adjust the parameter names in the covariateModel settings
        % to the names in the analytic model chosen
        covariateModel = options_MLX_ANALYTIC.covariateModel;
        oldNames = ODEmodelParamNames(ANALYTIC_ODE_TRANSFORMATION.INDEXODE);
        newNames = options_MLX_ANALYTIC.parameterNames;
        % Need to make sure not to overwrite things => intermediary step needed
        for kcovariate = 1:length(oldNames),
            covariateModel = regexprep(covariateModel,['\<' oldNames{kcovariate} '\>'],num2str(kcovariate));
        end
        for kcovariate = 1:length(oldNames),
            covariateModel = regexprep(covariateModel,['\<' num2str(kcovariate) '\>'],newNames{kcovariate});
        end
        options_MLX_ANALYTIC.covariateModel = covariateModel;
        
        % Create Monolix project
        createMONOLIXprojectAnalyticSBPOP(modelAnalyticName,data_MLX,projectPath,options_MLX_ANALYTIC);
        
        % Save MODEL_SETTINGS
        MODEL_SETTINGS = options_MLX_ANALYTIC;
        
    else
        % Handle absorption
        % Check if lagTime or not
        if lagTime==0,
            % No lag time
            if numberCompartments==1,
                modelAnalyticName = 'oral1_1cpt_kaVCl';
                % Transform optionsProject (F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2)
                options_MLX_ANALYTIC                    = options_MLX;
                options_MLX_ANALYTIC.POPvalues0         = options_MLX.POPvalues0([10 3 2]);
                options_MLX_ANALYTIC.POPestimate        = options_MLX.POPestimate([10 3 2]);
                options_MLX_ANALYTIC.IIVestimate        = options_MLX_ANALYTIC.IIVestimate([10 3 2]);
                options_MLX_ANALYTIC.IIVvalues0         = options_MLX.IIVvalues0([10 3 2]);
                options_MLX_ANALYTIC.IIVdistribution    = 'L,L,L';
                options_MLX_ANALYTIC.parameterNames     = {'ka','V','Cl'};
                
                ANALYTIC_ODE_TRANSFORMATION.ISANALYTIC   = 1;
                ANALYTIC_ODE_TRANSFORMATION.NRPARAMETERS = 3;
                ANALYTIC_ODE_TRANSFORMATION.INDEXODE     = [10 3 2];
                
            elseif numberCompartments==2,
                modelAnalyticName = 'oral1_2cpt_kaClV1QV2';
                % Transform optionsProject (F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2)
                options_MLX_ANALYTIC                    = options_MLX;
                options_MLX_ANALYTIC.POPvalues0         = options_MLX.POPvalues0([10 2 3 4 5]);
                options_MLX_ANALYTIC.POPestimate        = options_MLX.POPestimate([10 2 3 4 5]);
                options_MLX_ANALYTIC.IIVestimate        = options_MLX_ANALYTIC.IIVestimate([10 2 3 4 5]);
                options_MLX_ANALYTIC.IIVvalues0         = options_MLX.IIVvalues0([10 2 3 4 5]);
                options_MLX_ANALYTIC.IIVdistribution    = 'L,L,L,L,L';
                options_MLX_ANALYTIC.parameterNames     = {'ka','Cl','V1','Q','V2'};
                
                ANALYTIC_ODE_TRANSFORMATION.ISANALYTIC   = 1;
                ANALYTIC_ODE_TRANSFORMATION.NRPARAMETERS = 5;
                ANALYTIC_ODE_TRANSFORMATION.INDEXODE     = [10 2 3 4 5];
                
            elseif numberCompartments==3,
                modelAnalyticName = 'oral1_3cpt_kaClV1Q2V2Q3V3';
                % Transform optionsProject (F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2)
                options_MLX_ANALYTIC                    = options_MLX;
                options_MLX_ANALYTIC.POPvalues0         = options_MLX.POPvalues0([10 2 3 4 5 6 7]);
                options_MLX_ANALYTIC.POPestimate        = options_MLX.POPestimate([10 2 3 4 5 6 7]);
                options_MLX_ANALYTIC.IIVestimate        = options_MLX_ANALYTIC.IIVestimate([10 2 3 4 5 6 7]);
                options_MLX_ANALYTIC.IIVvalues0         = options_MLX.IIVvalues0([10 2 3 4 5 6 7]);
                options_MLX_ANALYTIC.IIVdistribution    = 'L,L,L,L,L,L,L';
                options_MLX_ANALYTIC.parameterNames     = {'ka','Cl','V1','Q2','V2','Q3','V3'};
                
                ANALYTIC_ODE_TRANSFORMATION.ISANALYTIC   = 1;
                ANALYTIC_ODE_TRANSFORMATION.NRPARAMETERS = 7;
                ANALYTIC_ODE_TRANSFORMATION.INDEXODE     = [10 2 3 4 5 6 7];
                
            end
        else
            % Lag time
            if numberCompartments==1,
                modelAnalyticName = 'oral1_1cpt_TlagkaVCl';
                % Transform optionsProject (F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2)
                options_MLX_ANALYTIC                    = options_MLX;
                options_MLX_ANALYTIC.POPvalues0         = options_MLX.POPvalues0([11 10 3 2]);
                options_MLX_ANALYTIC.POPestimate        = options_MLX.POPestimate([11 10 3 2]);
                options_MLX_ANALYTIC.IIVestimate        = options_MLX_ANALYTIC.IIVestimate([11 10 3 2]);
                options_MLX_ANALYTIC.IIVvalues0         = options_MLX.IIVvalues0([11 10 3 2]);
                options_MLX_ANALYTIC.IIVdistribution    = 'L,L,L,L';
                options_MLX_ANALYTIC.parameterNames     = {'tlag','ka','V','Cl'};
                
                ANALYTIC_ODE_TRANSFORMATION.ISANALYTIC   = 1;
                ANALYTIC_ODE_TRANSFORMATION.NRPARAMETERS = 4;
                ANALYTIC_ODE_TRANSFORMATION.INDEXODE     = [11 10 3 2];
                
            elseif numberCompartments==2,
                modelAnalyticName = 'oral1_2cpt_TlagkaClV1QV2';
                % Transform optionsProject (F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2)
                options_MLX_ANALYTIC                    = options_MLX;
                options_MLX_ANALYTIC.POPvalues0         = options_MLX.POPvalues0([11 10 2 3 4 5]);
                options_MLX_ANALYTIC.POPestimate        = options_MLX.POPestimate([11 10 2 3 4 5]);
                options_MLX_ANALYTIC.IIVestimate        = options_MLX_ANALYTIC.IIVestimate([11 10 2 3 4 5]);
                options_MLX_ANALYTIC.IIVvalues0         = options_MLX.IIVvalues0([11 10 2 3 4 5]);
                options_MLX_ANALYTIC.IIVdistribution    = 'L,L,L,L,L,L';
                options_MLX_ANALYTIC.parameterNames     = {'tlag','ka','Cl','V1','Q','V2'};
                
                ANALYTIC_ODE_TRANSFORMATION.ISANALYTIC   = 1;
                ANALYTIC_ODE_TRANSFORMATION.NRPARAMETERS = 6;
                ANALYTIC_ODE_TRANSFORMATION.INDEXODE     = [11 10 2 3 4 5];
                
            elseif numberCompartments==3,
                modelAnalyticName = 'oral1_3cpt_TlagkaClV1Q2V2Q3V3';
                % Transform optionsProject (F, CL, Vc, Q1, Vp1, Q2, Vp2, VMAX, KM, ka_input2, Tlag_input2)
                options_MLX_ANALYTIC                    = options_MLX;
                options_MLX_ANALYTIC.POPvalues0         = options_MLX.POPvalues0([11 10 2 3 4 5 6 7]);
                options_MLX_ANALYTIC.POPestimate        = options_MLX.POPestimate([11 10 2 3 4 5 6 7]);
                options_MLX_ANALYTIC.IIVestimate        = options_MLX_ANALYTIC.IIVestimate([11 10 2 3 4 5 6 7]);
                options_MLX_ANALYTIC.IIVvalues0         = options_MLX.IIVvalues0([11 10 2 3 4 5 6 7]);
                options_MLX_ANALYTIC.IIVdistribution    = 'L,L,L,L,L,L,L,L';
                options_MLX_ANALYTIC.parameterNames     = {'Tlag','ka','Cl','V1','Q2','V2','Q3','V3'};
                
                ANALYTIC_ODE_TRANSFORMATION.ISANALYTIC   = 1;
                ANALYTIC_ODE_TRANSFORMATION.NRPARAMETERS = 8;
                ANALYTIC_ODE_TRANSFORMATION.INDEXODE     = [11 10 2 3 4 5 6 7];
                
            end
        end
        % Store information about the analytic thing
        ANALYTIC_ODE_TRANSFORMATION.POPestimate  = options_MLX.POPestimate;
        ANALYTIC_ODE_TRANSFORMATION.IIVestimate  = options_MLX.IIVestimate;
        
        % Need to adjustthe parameter names in the covarianceModel settings
        % to the names in the analytic model chosen
        covarianceModel = options_MLX_ANALYTIC.covarianceModel;
        oldNames = ODEmodelParamNames(ANALYTIC_ODE_TRANSFORMATION.INDEXODE);
        newNames = options_MLX_ANALYTIC.parameterNames;
        % Need to make sure not to overwrite things => intermediary step needed
        for kcovariance = 1:length(oldNames),
            covarianceModel = regexprep(covarianceModel,['\<' oldNames{kcovariance} '\>'],num2str(kcovariance));
        end
        for kcovariance = 1:length(oldNames),
            covarianceModel = regexprep(covarianceModel,['\<' num2str(kcovariance) '\>'],newNames{kcovariance});
        end
        options_MLX_ANALYTIC.covarianceModel = covarianceModel;

        % Need to adjust the parameter names in the covariateModel settings
        % to the names in the analytic model chosen
        covariateModel = options_MLX_ANALYTIC.covariateModel;
        oldNames = ODEmodelParamNames(ANALYTIC_ODE_TRANSFORMATION.INDEXODE);
        newNames = options_MLX_ANALYTIC.parameterNames;
        % Need to make sure not to overwrite things => intermediary step needed
        for kcovariate = 1:length(oldNames),
            covariateModel = regexprep(covariateModel,['\<' oldNames{kcovariate} '\>'],num2str(kcovariate));
        end
        for kcovariate = 1:length(oldNames),
            covariateModel = regexprep(covariateModel,['\<' num2str(kcovariate) '\>'],newNames{kcovariate});
        end
        options_MLX_ANALYTIC.covariateModel = covariateModel;

        % Create Monolix project
        createMONOLIXprojectAnalyticSBPOP(modelAnalyticName,data_MLX,projectPath,options_MLX_ANALYTIC);
        
        % Save MODEL_SETTINGS
        MODEL_SETTINGS = options_MLX_ANALYTIC;
        
    end
    
else
    % Store information about the ODE thing
    ANALYTIC_ODE_TRANSFORMATION.ISANALYTIC      = 0;
    ANALYTIC_ODE_TRANSFORMATION.NRPARAMETERS    = 11;
    ANALYTIC_ODE_TRANSFORMATION.INDEXODE        = [1:11];
    ANALYTIC_ODE_TRANSFORMATION.POPestimate     = options_MLX.POPestimate;
    ANALYTIC_ODE_TRANSFORMATION.IIVestimate     = options_MLX.IIVestimate;
    ANALYTIC_ODE_TRANSFORMATION.covarianceModel = options_MLX.IIVestimate;  % to return the replaced names
    SBPOPcreateMONOLIXproject(model,dosing,data_MLX,projectPath,options_MLX);
    
    % Save MODEL_SETTINGS
    MODEL_SETTINGS = options_MLX;
    
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Finally just rerename the covariance and covariate things if analytic
% model chosen .... for nicer display
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if FLAGanalyticModel,
    MODEL_SETTINGS.covarianceModelAnalytic = MODEL_SETTINGS.covarianceModel;
    MODEL_SETTINGS.covariateModelAnalytic  = MODEL_SETTINGS.covariateModel;	
    
        % Need to adjust the parameter names in the covarianceModel settings
        % to the names in the analytic model chosen
        covarianceModel = MODEL_SETTINGS.covarianceModelAnalytic;
        oldNames = options_MLX_ANALYTIC.parameterNames;
        newNames = ODEmodelParamNames(ANALYTIC_ODE_TRANSFORMATION.INDEXODE);
        % Need to make sure not to overwrite things => intermediary step needed
        for kcovariance = 1:length(oldNames),
            covarianceModel = regexprep(covarianceModel,['\<' oldNames{kcovariance} '\>'],num2str(kcovariance));
        end
        for kcovariance = 1:length(oldNames),
            covarianceModel = regexprep(covarianceModel,['\<' num2str(kcovariance) '\>'],newNames{kcovariance});
        end
        MODEL_SETTINGS.covarianceModel = covarianceModel;

        % Need to adjust the parameter names in the covariateModel settings
        % to the names in the analytic model chosen
        covariateModel = MODEL_SETTINGS.covariateModelAnalytic;
        oldNames = options_MLX_ANALYTIC.parameterNames;
        newNames = ODEmodelParamNames(ANALYTIC_ODE_TRANSFORMATION.INDEXODE);
        % Need to make sure not to overwrite things => intermediary step needed
        for kcovariate = 1:length(oldNames),
            covariateModel = regexprep(covariateModel,['\<' oldNames{kcovariate} '\>'],num2str(kcovariate));
        end
        for kcovariate = 1:length(oldNames),
            covariateModel = regexprep(covariateModel,['\<' num2str(kcovariate) '\>'],newNames{kcovariate});
        end
        MODEL_SETTINGS.covariateModel = covariateModel;
end

