function [xbin,ybinquantile] = binnedquantilesSB(x,y,quantile_value,numbins,FLAGlogX)

if nargin <= 3,
    numbins = 15;
    FLAGlogX = 0;
elseif nargin<=4,
    FLAGlogX = 0;
end    

if FLAGlogX,
    bins = logspace(log10(min(x)), log10(max(x)), numbins);
else
    bins = linspace(min(x), max(x), numbins);
end

[n,bin] = histc(x, bins); %#ok<ASGLU>
mu = NaN*zeros(size(bins));
for k = [1:numbins], %#ok<NBRAK>
  ind = find(bin==k);
  if (~isempty(ind))
    mu(k) = quantile(y(ind),quantile_value);
  end
end

% Remove NaNs
Z = [bins(:) mu(:)];
Z(isnan(Z(:,2)),:) = [];

% Assign outputs
xbin = Z(:,1);
ybinquantile = Z(:,2);